FreeMat

- Main Page
- Related Pages

vtkPDescriptiveStatistics

Section: Visualization Toolkit Infovis Classes

# Usage

vtkPDescriptiveStatistics is vtkDescriptiveStatistics subclass for parallel datasets. It learns and derives the global statistical model on each node, but assesses each individual data points on the node that owns it.

To create an instance of class vtkPDescriptiveStatistics, simply invoke its constructor as follows

      obj = vtkPDescriptiveStatistics

# Methods

The class vtkPDescriptiveStatistics has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkPDescriptiveStatistics class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkPDescriptiveStatistics = obj.NewInstance ()`
- `vtkPDescriptiveStatistics = obj.SafeDownCast (vtkObject o)`
- `obj.SetController (vtkMultiProcessController )` - Get/Set the multiprocess controller. If no controller is set, single process is assumed.
- `vtkMultiProcessController = obj.GetController ()` - Get/Set the multiprocess controller. If no controller is set, single process is assumed.
- `obj.Learn (vtkTable inData, vtkTable inParameters, vtkDataObject outMeta)` - Execute the parallel calculations required by the Learn option.